%define realname Catalyst-Plugin-Authentication-Credential-PAM
%define abbrevname Catalyst-P-A-Credential-PAM
%define name	perl-%{abbrevname}
%define	modprefix Catalyst

%define version	0.01
%define release	%mkrel 7

Summary:	Authenticate a user against PAM
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{realname}/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%{realname}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Authen::PAM)
BuildRequires:	perl(Catalyst)
Provides:	perl-%{realname}
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is an authentication credential checker that verifies passwords
using a specified PAM service.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/%{modprefix}
%{_mandir}/*/*

%clean
rm -rf %{buildroot}





%changelog
* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.01-7mdv2010.0
+ Revision: 430268
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.01-6mdv2009.0
+ Revision: 255527
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.01-4mdv2008.1
+ Revision: 136671
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-4mdv2008.0
+ Revision: 85926
- rebuild


* Tue Aug 08 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-08 01:55:16 (54289)
- Rebuild, spec file cleanup

* Tue Aug 08 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-08 01:50:48 (54287)
- import perl-Catalyst-P-A-Credential-PAM-0.01-2mdk

* Tue May 16 2006 Scott Karns <scottk@mandriva.org> 0.01-2mdk
- Cleaned up handling of module abbreviation

* Tue May 16 2006 Scott Karns <scottk@mandriva.org> 0.01-1mdk
- Initial MDV RPM

